#site-header {
    $topnavheight: 30px;

    #top-nav-bar {
        overflow: hidden;
        height: $topnavheight;
        opacity: 0.5;
        padding: 5px;
    
        .global {
            float: left;
            padding: 3px;
            font-size: .75rem;
        }

        .top-nav {
            overflow: hidden;
            > div {
                float: right;
                
                ul {
                    li {
                        font-size: .75rem;
                        float: left;
                        padding: 3px;
                        text-transform: uppercase;
                        a {
                            font-size: .75rem;
                        }
                    }
                }
            }
        }
    }

    #main-nav {
        position: absolute;
        top:$topnavheight;
        width: 100%;
        background: linear-gradient(180deg, rgba(0,0,0,.7) 0%, rgba(0,0,0,0) 100%);
        min-height: 121px;
        z-index: 10;
        @include media(md){
            @apply hidden;
        }
        &.top-nav-hidden {
            top:0;
        }
        &.fixed {
            position: fixed;
            top: 0;
        }

        .container {
            padding-top: 18px;
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        #menu-primary-nav {
            > li {
                float: left;
                position: relative;
                padding: 5px 0px;

                &:hover {
                    .sub-menu {
                        display: block;
                    }
                }

                &.current_page_item,
                &.current-page-parent {
                    border-bottom: 3px solid #fff;

                    &:last-child {
                        margin-left: 20px;
                        a {
                            padding-left: 0;
                        }
                    }
                }

                > a {
                    color: #fff;
                    text-transform: uppercase;
                    font-size: 20px;
                    padding:0px 20px;
                    @apply font-black;
                }

                &:last-child {
                    a {
                        padding-right: 0;
                    }
                }

                .sub-menu {
                    display: none;
                    position: absolute;
                    top: 40px;
                    padding: 20px;
                    left: 50%;
                    transform: translateX(-50%);
                    min-width: 200px;
                    background-color: #fff;
                    @include box-shadow();

                    &::before {
                        content: "";
                        position: absolute;
                        width: 0; 
                        height: 0; 
                        top: -7px;
                        left: 50%;
                        transform: translateX(-50%);
                        border-left: 7px solid transparent;
                        border-right: 7px solid transparent;                        
                        border-bottom: 7px solid #fff;
                    }

                    li {
                        a {
                            text-transform: uppercase;
                            @apply text-richsred;
                            @apply font-black;
                            display: inline-block;
                            padding-top: 5px;
                            padding-bottom: 5px;
                            white-space: nowrap;

                            &:hover {
                                opacity: 0.5;
                            }
                        }
                    }
                }
            }
        }
    }
}

body.admin-bar {
    #site-header {
        top: 32px;

        #main-nav {
            top:60px;
            
            &.top-nav-hidden {
                top:30px;
            }
            @media screen and (max-width: 600px) {
                top: 76px;
            }

            &.fixed {
                top: 32px;

                @media screen and (max-width: 600px) {
                    top: 0px;
                }
            }
        }
    }
}